Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CachedCollection

    java.lang.Object
      oracle.ifs.common.CachedCollection

All Implemented Interfaces:
  Collection, IfsEventHandler

Direct Known Subclasses:
  CachedResolverCollection, CachedSelectorCollection

    public abstract class CachedCollection

extends java.lang.Object
implements Collection

A CachedCollection is a Collection whose items are cached for performance.

CachedCollection defers resolving its items until they are requested. Because the items are cached, CachedCollection may consume excessive Java heap for large collections.

(Published)

Field Summary
`protected java.lang.Object[]` | `m_ItemsArray` The items in this Collection, as an array.
`protected java.util.Hashtable` | `m_ItemsHash` A hashtable whose key is the item name, and whose value is the item in this Collection.

Constructor Summary
`CachedCollection()` Constructs a CachedCollection.

Method Summary
`java.lang.Object` | `checkItemByUpperCaseName(java.lang.String name)` Gets the specified item in this Collection by uppercase name, and returns null if not found.
`java.lang.Object` | `getItemByUpperCaseName(java.lang.String upperCaseName)` Gets the specified item in this Collection by uppercase name.
`int` | `getItemCount()` Gets the number of items in this Collection.
`java.lang.Object[]` | `getItems()` Gets an array containing the items in this Collection.
`java.lang.Object` | `getItems(int index)` Gets the specified item in this Collection.
`java.lang.Object` | `getItems(java.lang.String name)` Gets the specified item in this Collection.
`java.util.Vector` | `getItemsVector()` Gets a vector containing the items in this Collection.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`void` | `reset()` Resets this Collection.
`protected void` | `resolve()` Ensures the items in this Collection are resolved.
`protected void` | `resolveNow()` Resolves the items in this Collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ItemsArray

    protected java.lang.Object[] m_ItemsArray

  Description copied from class: `CachedCollection`
  The items in this Collection, as an array.

  (Unpublished)

### m_ItemsHash

    protected java.util.Hashtable m_ItemsHash

  Description copied from class: `CachedCollection`
  A hashtable whose key is the item name, and whose value is the item in this Collection.

  (Unpublished)

Constructor Detail

### CachedCollection

    public CachedCollection()
                     throws IfsException

  Constructs a CachedCollection.

  Throws:
    `IfsException` - (IFS-12210) if the operation fails
  (Unpublished)

Method Detail

### getItemCount

    public final int getItemCount()
                           throws IfsException

  Description copied from class: `CachedCollection`
  Gets the number of items in this Collection.

  Specified by:
    `getItemCount` in interface `Collection`
  Returns:
    the number of items in this Collection
  Throws:
    `IfsException` - (IFS-12211) if the operation fails
  (Published)

### getItems

    public java.lang.Object[] getItems()
                                throws IfsException

  Description copied from class: `CachedCollection`
  Gets an array containing the items in this Collection.

  Specified by:
    `getItems` in interface `Collection`
  Returns:
    the items in this Collection
  Throws:
    `IfsException` - (IFS-12212) if the operation fails
  (Published)

### getItems

    public java.lang.Object getItems(int index)
                              throws IfsException

  Description copied from class: `CachedCollection`
  Gets the specified item in this Collection.

  Specified by:
    `getItems` in interface `Collection`
  Parameters:
    `index` - the zero-based index of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12213) if the operation fails
  (Published)

### getItems

    public java.lang.Object getItems(java.lang.String name)
                              throws IfsException

  Description copied from class: `CachedCollection`
  Gets the specified item in this Collection.

  Specified by:
    `getItems` in interface `Collection`
  Parameters:
    `name` - the name of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12214) if the operation fails
  (Published)

### getItemByUpperCaseName

    public java.lang.Object getItemByUpperCaseName(java.lang.String upperCaseName)
                                            throws IfsException

  Description copied from class: `CachedCollection`
  Gets the specified item in this Collection by uppercase name.

  Specified by:
    `getItemByUpperCaseName` in interface `Collection`
  Parameters:
    `upperCaseName` - the name of the item
  Returns:
    the item
  Throws:
    `IfsException` - (IFS-12214) if the operation fails
  (Unpublished)

### checkItemByUpperCaseName

    public java.lang.Object checkItemByUpperCaseName(java.lang.String name)
                                              throws IfsException

  Description copied from class: `CachedCollection`
  Gets the specified item in this Collection by uppercase name, and returns null if not found.

  Specified by:
    `checkItemByUpperCaseName` in interface `Collection`
  Parameters:
    `name` - the name of the item
  Returns:
    the item, or null if not found
  Throws:
    `IfsException` - (IFS-12214) if the operation fails
  (Unpublished)

### getItemsVector

    public java.util.Vector getItemsVector()
                                    throws IfsException

  Description copied from class: `CachedCollection`
  Gets a vector containing the items in this Collection.

  The order of the items in the vector is identical to the order of the items in the array returned by `getItems()`.

  Specified by:
    `getItemsVector` in interface `Collection`
  Returns:
    a vector containing the items in this Collection
  Throws:
    `IfsException` - (IFS-12215) if the operation fails
  (Published)

### reset

    public void reset()
               throws IfsException

  Description copied from class: `CachedCollection`
  Resets this Collection.

  Resetting a Collection causes the items in it to be redetermined.

  Specified by:
    `reset` in interface `Collection`
  Throws:
    `IfsException` - (IFS-12216) if the operation fails
  (Unpublished)

### resolve

    protected final void resolve()
                          throws IfsException

  Description copied from class: `CachedCollection`
  Ensures the items in this Collection are resolved.

  Throws:
    `IfsException` - (IFS-12201) if the operation fails
  (Unpublished)

### resolveNow

    protected void resolveNow()
                       throws IfsException

  Description copied from class: `CachedCollection`
  Resolves the items in this Collection.

  Throws:
    `IfsException` - (IFS-12201) if the operation fails
  (Unpublished)

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Description copied from class: `CachedCollection`
  Handles the specified event. This results in the Collection being reset.

  Specified by:
    `handleEvent` in interface `IfsEventHandler`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD